import xml.etree.ElementTree as ET

def get_unique_categories(xml_file, selectors):
    # Parsowanie pliku XML
    tree = ET.parse(xml_file)
    root = tree.getroot()

    # Inicjowanie listy
    categories = {}

    # Przeglądanie wszystkich elementów XML
    for elem in root.iter():
        name_element = elem.find(selectors['product_name'])
        description_element = elem.find(selectors['product_description'])
        category_element = elem.find(selectors['product_category'])

        if name_element is not None and description_element is not None and category_element is not None:
            name = name_element.text
            #description = description_element.text
            category = category_element.text

            if category not in categories:
                categories[category] = []

            if name not in categories[category] and categories[category] == []:
                categories[category].append(name)
                
            #if description not in categories[category]:
                #categories[category].append(description)
                
            
    

    # Zwracanie listy kategorii
    return categories
